## libomemo-c 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMakeModules/")
project(omemo-c)

if(POLICY CMP0042)
	cmake_policy(SET CMP0042 NEW)
endif()

SET(OMEMO_C_VERSION_MAJOR 0)
SET(OMEMO_C_VERSION_MINOR 5)
SET(OMEMO_C_VERSION_PATCH 0)
SET(OMEMO_C_VERSION ${OMEMO_C_VERSION_MAJOR}.${OMEMO_C_VERSION_MINOR}.${OMEMO_C_VERSION_PATCH})

SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
SET(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "The directory the binaries are installed in")
SET(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "The directory the libraries are installed in")
SET(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
SET(INSTALL_PKGCONFIG_DIR "${LIB_INSTALL_DIR}/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")

INCLUDE(CheckSymbolExists)
INCLUDE(CheckCCompilerFlag)
INCLUDE(TestBigEndian)

CHECK_SYMBOL_EXISTS(memset_s "string.h" HAVE_MEMSET_S)

IF(CMAKE_SYSTEM_NAME MATCHES "Windows")
	CHECK_SYMBOL_EXISTS(SecureZeroMemory "Windows.h;WinBase.h" HAVE_SECUREZEROMEMORY)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Windows")

IF(BUILD_TESTING)
	enable_testing()
ENDIF(BUILD_TESTING)

IF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0 -Wall -Wmissing-field-initializers -Wno-missing-braces -Wparentheses")
ENDIF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

IF(CMAKE_COMPILER_IS_GNUCC)
	CHECK_C_COMPILER_FLAG("-Wsign-conversion" GCC_WARN_SIGN_CONVERSION)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wsign-compare")
	IF(GCC_WARN_SIGN_CONVERSION)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wsign-conversion")
	ENDIF(GCC_WARN_SIGN_CONVERSION)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(CMAKE_C_COMPILER_ID MATCHES "Clang")
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wswitch -Wunused-variable -Wunused-value -Wshadow -Wint-conversion -Wpointer-sign -Wprotocol -Wshorten-64-to-32")
ENDIF(CMAKE_C_COMPILER_ID MATCHES "Clang")

IF(HAVE_MEMSET_S)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_MEMSET_S=1")
ENDIF(HAVE_MEMSET_S)

TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
IF(WORDS_BIGENDIAN)
	ADD_DEFINITIONS(-DWORDS_BIGENDIAN)
ENDIF(WORDS_BIGENDIAN)

IF(COVERAGE)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage")
	SET(LINK_FLAGS "${LINK_FLAGS} -fprofile-arcs -ftest-coverage")

	add_custom_command(OUTPUT run_coverage
			COMMAND ctest
			COMMAND lcov -q --capture --directory src --output-file coverage.info.total
			COMMAND lcov -q --remove coverage.info.total 'vpool.*' 'ut*.h' '*.pb-c.*' 'protobuf-c/*' 'curve25519/*' --output-file coverage.info
			COMMAND genhtml -q coverage.info --output-directory coverage
			COMMENT Collecting and creating coverage information
	)
	add_custom_target( coverage DEPENDS run_coverage )
ENDIF(COVERAGE)

add_subdirectory(src)

IF(BUILD_TESTING)
	add_subdirectory(tests)
ENDIF(BUILD_TESTING)

=== src/CMakeLists.txt ===
if(BUILD_SHARED_LIBS AND NOT MSVC)
	find_library(M_LIB m)
endif()

include_directories(
	.
	curve25519/ed25519/nacl_includes
	curve25519/ed25519/additions
	curve25519/ed25519/sha512
	curve25519/ed25519
	curve25519
)

set(protobuf_SRCS
	LocalStorageProtocol.pb-c.c
	WhisperTextProtocol.pb-c.c
	OMEMO.pb-c.c
)

set(omemo_SRCS
	vpool.c
	vpool.h
	signal_protocol.c
	signal_protocol.h
	signal_protocol_types.h
	signal_protocol_internal.h
	curve.c
	curve.h
	hkdf.c
	hkdf.h
	ratchet.c
	ratchet.h
	protocol.c
	protocol.h
	session_state.c
	session_state.h
	session_record.c
	session_record.h
	session_pre_key.c
	session_pre_key.h
	session_builder.c
	session_builder.h
	session_builder_internal.h
	session_cipher.c
	session_cipher.h
	key_helper.c
	key_helper.h
	sender_key.c
	sender_key.h
	sender_key_state.c
	sender_key_state.h
	sender_key_record.c
	sender_key_record.h
)

add_subdirectory(curve25519)
add_subdirectory(protobuf-c)

add_library(omemo-c
	${protobuf_SRCS}
	${omemo_SRCS}
	$<TARGET_OBJECTS:curve25519>
	$<TARGET_OBJECTS:protobuf-c>
)

if(BUILD_SHARED_LIBS)
	if(NOT MSVC)
		target_link_libraries(omemo-c ${M_LIB})
	endif()
	set_target_properties(omemo-c PROPERTIES
		VERSION ${OMEMO_C_VERSION}
		SOVERSION ${OMEMO_C_VERSION_MAJOR}
	)
endif()

INSTALL(
	FILES
	signal_protocol.h
	signal_protocol_types.h
	curve.h
	hkdf.h
	ratchet.h
	protocol.h
	session_state.h
	session_record.h
	session_pre_key.h
	session_builder.h
	session_cipher.h
	key_helper.h
	sender_key.h
	sender_key_state.h
	sender_key_record.h
	DESTINATION ${INCLUDE_INSTALL_DIR}/omemo
)

INSTALL(TARGETS omemo-c
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
	ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/libomemo-c.pc.in
		${CMAKE_CURRENT_BINARY_DIR}/libomemo-c.pc @ONLY)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libomemo-c.pc DESTINATION "${INSTALL_PKGCONFIG_DIR}")

=== tests/CMakeLists.txt ===
enable_testing()
find_library(M_LIB m)
find_package(Check 0.9.10 REQUIRED)
IF(NOT(APPLE AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
  find_package(OpenSSL 1.0 REQUIRED)
ENDIF()
find_package(Threads)
include_directories(${CHECK_INCLUDE_DIRS})

IF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
ENDIF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

IF(CMAKE_COMPILER_IS_GNUCC)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-sign-compare")
	IF(GCC_WARN_SIGN_CONVERSION)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-sign-conversion")
	ENDIF(GCC_WARN_SIGN_CONVERSION)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(CMAKE_C_COMPILER_ID MATCHES "Clang")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-invalid-source-encoding -Wno-shorten-64-to-32")
ENDIF(CMAKE_C_COMPILER_ID MATCHES "Clang")

# On Windows .exe and .dll files must be placed at the same directory
if(WIN32 AND BUILD_SHARED_LIBS)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
  set(TEST_PATH ${CMAKE_BINARY_DIR}/src)
else()
  set(TEST_PATH ${CMAKE_CURRENT_BINARY_DIR})
endif()

set(LIBS ${LIBS}
	${M_LIB}
	${CHECK_LDFLAGS}
	${OPENSSL_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}
	${CMAKE_DL_LIBS}
	omemo-c
)

set(common_SRCS
	test_common.c
	test_common.h
)

include_directories(. ../src)

IF(APPLE AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	set(common_SRCS ${common_SRCS}
		test_common_ccrypto.c
	)
ELSE()
	set(common_SRCS ${common_SRCS}
		test_common_openssl.c
	)
	include_directories(${OPENSSL_INCLUDE_DIR})
ENDIF()

add_executable(test_curve25519 test_curve25519.c ${common_SRCS})
target_link_libraries(test_curve25519 ${LIBS})
add_test(test_curve25519 ${TEST_PATH}/test_curve25519)

add_executable(test_hkdf test_hkdf.c ${common_SRCS})
target_link_libraries(test_hkdf ${LIBS})
add_test(test_hkdf ${TEST_PATH}/test_hkdf)

add_executable(test_ratchet test_ratchet.c ${common_SRCS})
target_link_libraries(test_ratchet ${LIBS})
add_test(test_ratchet ${TEST_PATH}/test_ratchet)

add_executable(test_protocol test_protocol.c ${common_SRCS})
target_link_libraries(test_protocol ${LIBS})
add_test(test_protocol ${TEST_PATH}/test_protocol)

add_executable(test_session_record test_session_record.c ${common_SRCS})
target_link_libraries(test_session_record ${LIBS})
add_test(test_session_record ${TEST_PATH}/test_session_record)

add_executable(test_session_cipher test_session_cipher.c ${common_SRCS})
target_link_libraries(test_session_cipher ${LIBS})
add_test(test_session_cipher ${TEST_PATH}/test_session_cipher)

add_executable(test_session_builder test_session_builder.c ${common_SRCS})
target_link_libraries(test_session_builder ${LIBS})
add_test(test_session_builder ${TEST_PATH}/test_session_builder)

add_executable(test_key_helper test_key_helper.c ${common_SRCS})
target_link_libraries(test_key_helper ${LIBS})
add_test(test_key_helper ${TEST_PATH}/test_key_helper)

add_executable(test_simultaneous_initiate test_simultaneous_initiate.c ${common_SRCS})
target_link_libraries(test_simultaneous_initiate ${LIBS})
add_test(test_simultaneous_initiate ${TEST_PATH}/test_simultaneous_initiate)

add_executable(test_sender_key_record test_sender_key_record.c ${common_SRCS})
target_link_libraries(test_sender_key_record ${LIBS})
add_test(test_sender_key_record ${TEST_PATH}/test_sender_key_record)

=== src/curve25519/CMakeLists.txt ===
IF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-variable -Wno-unused-function -Wno-shadow")
ENDIF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

IF(CMAKE_COMPILER_IS_GNUCC)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-sign-compare")
    IF(GCC_WARN_SIGN_CONVERSION)
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-sign-conversion")
    ENDIF(GCC_WARN_SIGN_CONVERSION)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-shorten-64-to-32")
ENDIF(CMAKE_C_COMPILER_ID MATCHES "Clang")

include_directories(
    ed25519/nacl_includes
    ed25519/additions
    ed25519/additions/generalized
    ed25519/sha512
    ed25519/tests
    ed25519
)

set(curve25519_SRCS
    curve25519-donna.c
)

set(ed25519_SRCS
    ed25519/fe_0.c
    ed25519/fe_1.c
    ed25519/fe_add.c
    ed25519/fe_cmov.c
    ed25519/fe_copy.c
    ed25519/fe_frombytes.c
    ed25519/fe_invert.c
    ed25519/fe_isnegative.c
    ed25519/fe_isnonzero.c
    ed25519/fe_mul.c
    ed25519/fe_neg.c
    ed25519/fe_pow22523.c
    ed25519/fe_sq.c
    ed25519/fe_sq2.c
    ed25519/fe_sub.c
    ed25519/fe_tobytes.c
    ed25519/ge_add.c
    ed25519/ge_double_scalarmult.c
    ed25519/ge_frombytes.c
    ed25519/ge_madd.c
    ed25519/ge_msub.c
    ed25519/ge_p1p1_to_p2.c
    ed25519/ge_p1p1_to_p3.c
    ed25519/ge_p2_0.c
    ed25519/ge_p2_dbl.c
    ed25519/ge_p3_0.c
    ed25519/ge_p3_dbl.c
    ed25519/ge_p3_to_cached.c
    ed25519/ge_p3_to_p2.c
    ed25519/ge_p3_tobytes.c
    ed25519/ge_precomp_0.c
    ed25519/ge_scalarmult_base.c
    ed25519/ge_sub.c
    ed25519/ge_tobytes.c
    ed25519/open.c
    ed25519/sc_muladd.c
    ed25519/sc_reduce.c
    ed25519/sign.c
    ed25519/additions/compare.c
    ed25519/additions/curve_sigs.c
    ed25519/additions/ed_sigs.c
    ed25519/additions/elligator.c
    ed25519/additions/fe_edy_to_montx.c
    ed25519/additions/fe_isequal.c
    ed25519/additions/fe_isreduced.c
    ed25519/additions/fe_mont_rhs.c
    ed25519/additions/fe_montx_to_edy.c
    ed25519/additions/fe_sqrt.c
    ed25519/additions/ge_isneutral.c
    ed25519/additions/ge_montx_to_p3.c
    ed25519/additions/ge_neg.c
    ed25519/additions/ge_p3_to_montx.c
    ed25519/additions/ge_scalarmult.c
    ed25519/additions/ge_scalarmult_cofactor.c
    ed25519/additions/keygen.c
    ed25519/additions/open_modified.c
    ed25519/additions/sc_clamp.c
    ed25519/additions/sc_cmov.c
    ed25519/additions/sc_neg.c
    ed25519/additions/sign_modified.c
    ed25519/additions/utility.c
    ed25519/additions/generalized/ge_p3_add.c
    ed25519/additions/generalized/gen_eddsa.c
    ed25519/additions/generalized/gen_labelset.c
    ed25519/additions/generalized/gen_veddsa.c
    ed25519/additions/generalized/gen_x.c
    ed25519/additions/generalized/point_isreduced.c
    ed25519/additions/generalized/sc_isreduced.c
    ed25519/additions/xeddsa.c
    ed25519/additions/zeroize.c
    ed25519/nacl_sha512/blocks.c
    ed25519/nacl_sha512/hash.c
    ed25519/tests/internal_fast_tests.c
)

add_library(curve25519 OBJECT ${curve25519_SRCS} ${ed25519_SRCS})

# Add -fPIC flag
if(BUILD_SHARED_LIBS)
    set_property(TARGET curve25519 PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

=== debian/changelog ===
libomemo-c (0.5.0-7) unstable; urgency=medium

  * Add libprotobuf-c-dev Depends to libomemo-c-dev

 -- Martin <debacle@debian.org>  Sat, 22 Feb 2025 00:14:18 +0000

libomemo-c (0.5.0-6) unstable; urgency=medium

  * Add debian/clean

 -- Martin <debacle@debian.org>  Thu, 20 Feb 2025 23:50:05 +0000

libomemo-c (0.5.0-5) unstable; urgency=medium

  * Add upstream patch to use libprotobuf-c-dev instead of embedded code
    copies (Closes: #1095352)

 -- Martin <debacle@debian.org>  Thu, 20 Feb 2025 20:18:00 +0000

libomemo-c (0.5.0-4) unstable; urgency=medium

  * Add Stefan Kropp to Uploaders
  [Stefan Kropp]
  * Patch to fix Version in libomemo-c.pc.in (Closes: #1031427)

 -- Martin <debacle@debian.org>  Sun, 19 Feb 2023 01:31:53 +0000

libomemo-c (0.5.0-3) unstable; urgency=medium

  [Stefan Kropp]
  * Fixed d/watch file

 -- Martin <debacle@debian.org>  Thu, 16 Feb 2023 13:18:29 +0000

libomemo-c (0.5.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Martin <debacle@debian.org>  Sun, 22 Jan 2023 10:38:22 +0000

libomemo-c (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1028569)

 -- Martin <debacle@debian.org>  Fri, 13 Jan 2023 00:03:53 +0000

=== debian/control ===
Source: libomemo-c
Section: devel
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>,
 Stefan Kropp <stefan.kropp@posteo.de>
Standards-Version: 4.1.3
Rules-Requires-Root: no
Build-Depends:
 check,
 cmake,
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1),
 libprotobuf-c-dev,
 libssl-dev,
 protobuf-c-compiler,
Homepage: https://github.com/dino/libomemo-c
Vcs-Git: https://salsa.debian.org/xmpp-team/libomemo-c.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/libomemo-c

Package: libomemo-c-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libomemo-c0 (= ${binary:Version}),
 libprotobuf-c-dev,
 ${misc:Depends},
Description: OMEMO encryption library - development files
 This is a fork of libsignal-protocol-c, an implementation of Signal's
 ratcheting forward secrecy protocol that works in synchronous and
 asynchronous messaging. The fork adds support for OMEMO as defined in
 XEP-0384 versions 0.3.0 and later.
 .
 This package contains the development files.

Package: libomemo-c0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: OMEMO encryption library
 This is a fork of libsignal-protocol-c, an implementation of Signal's
 ratcheting forward secrecy protocol that works in synchronous and
 asynchronous messaging. The fork adds support for OMEMO as defined in
 XEP-0384 versions 0.3.0 and later.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SOFILE=usr/lib/${DEB_HOST_MULTIARCH}/libomemo-c.so

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	( cd protobuf ; $(MAKE) )
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON -DLIB_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}

## libomemo-c 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(OMEMO_C_VERSION_MAJOR 0)
 SET(OMEMO_C_VERSION_MINOR 5)
-SET(OMEMO_C_VERSION_PATCH 0)
+SET(OMEMO_C_VERSION_PATCH 1)
 SET(OMEMO_C_VERSION ${OMEMO_C_VERSION_MAJOR}.${OMEMO_C_VERSION_MINOR}.${OMEMO_C_VERSION_PATCH})
 
 SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
@@ -24,7 +24,7 @@
 CHECK_SYMBOL_EXISTS(memset_s "string.h" HAVE_MEMSET_S)
 
 IF(CMAKE_SYSTEM_NAME MATCHES "Windows")
-	CHECK_SYMBOL_EXISTS(SecureZeroMemory "Windows.h;WinBase.h" HAVE_SECUREZEROMEMORY)
+	CHECK_SYMBOL_EXISTS(SecureZeroMemory "Windows.h" HAVE_SECUREZEROMEMORY)
 ENDIF(CMAKE_SYSTEM_NAME MATCHES "Windows")
 
 IF(BUILD_TESTING)

=== protobuf/Makefile ===

all:
	protoc-c --c_out=../src/ WhisperTextProtocol.proto LocalStorageProtocol.proto OMEMO.proto

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-if(BUILD_SHARED_LIBS AND NOT MSVC)
-	find_library(M_LIB m)
+if(BUILD_SHARED_LIBS)
+	find_library(PBC_LIB protobuf-c)
 endif()
 
 include_directories(
@@ -54,19 +54,15 @@
 )
 
 add_subdirectory(curve25519)
-add_subdirectory(protobuf-c)
 
 add_library(omemo-c
 	${protobuf_SRCS}
 	${omemo_SRCS}
 	$<TARGET_OBJECTS:curve25519>
-	$<TARGET_OBJECTS:protobuf-c>
 )
 
 if(BUILD_SHARED_LIBS)
-	if(NOT MSVC)
-		target_link_libraries(omemo-c ${M_LIB})
-	endif()
+	target_link_libraries(omemo-c ${PBC_LIB})
 	set_target_properties(omemo-c PROPERTIES
 		VERSION ${OMEMO_C_VERSION}
 		SOVERSION ${OMEMO_C_VERSION_MAJOR}

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 enable_testing()
 find_library(M_LIB m)
+find_library(PBC_LIB protobuf-c REQUIRED)
 find_package(Check 0.9.10 REQUIRED)
 IF(NOT(APPLE AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
   find_package(OpenSSL 1.0 REQUIRED)
@@ -37,12 +38,16 @@
 	${CMAKE_THREAD_LIBS_INIT}
 	${CMAKE_DL_LIBS}
 	omemo-c
+	${PBC_LIB}
 )
 
 set(common_SRCS
 	test_common.c
+	test_common_pthread.c
 	test_common.h
 )
+
+message("LIB " ${PBC_LIB})
 
 include_directories(. ../src)

=== debian/changelog ===
libomemo-c (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Use meson instead of cmake
  * Drop obsolete patches

 -- Martin <debacle@debian.org>  Sun, 30 Mar 2025 17:10:27 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
 Rules-Requires-Root: no
 Build-Depends:
  check,
- cmake,
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1),
  libprotobuf-c-dev,
  libssl-dev,
+ meson,
+ ninja-build,
+ pkg-config,
  protobuf-c-compiler,
 Homepage: https://github.com/dino/libomemo-c
 Vcs-Git: https://salsa.debian.org/xmpp-team/libomemo-c.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SOFILE=usr/lib/${DEB_HOST_MULTIARCH}/libomemo-c.so

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --libdir=lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/dino/libomemo-c.git \
refs/tags/v@ANY_VERSION@ \
debian
